/// class ProspectDirector.Web.UI.Controls.ToolBarButtonGroup
/// using ProspectDirector.Web.UI.Controls.Control

/**
@class ToolBarButtonGroup
@namespace Web.UI.Controls
@constructor
**/
ProspectDirector.Web.UI.Controls.ToolBarButtonGroup = ProspectDirector.Web.UI.Controls.Control.extend({

    //===================================
    // FIELDS
    //===================================

    _items: null,

    //===================================
    // CONSTRUCTOR
    //===================================

    init: function (options) {

        var content = null;

        this._super(options);

        content =
        "<div class=\"btn-group\" style=\"padding-right:5px;\">" +
        "</div>";

        this.setDomNode(content);

        this._items = new ProspectDirector.Web.List(options.items);

    },

    //===================================
    // PROPERTIES
    //===================================

    get_items: function () {
        return this._items;
    },

    //===================================
    // PUBLIC METHODS
    //===================================

    render: function (content) {

        var that = this;

        this.get_items().each(function (index, data) {

            var item = new ProspectDirector.Web.UI.Controls.ToolBarButtonFactory.CreateButton(data);
            that.get_domNode().append(item.render());

        });

        return this._super(content);

    }

});